Bug 716641 - BIND-SDB returning refresh: non-authoritative answer from master
BIND-SDB returning refresh: non-authoritative answer from master
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
14
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-25 18:12 EDT by Glen Eustace
Modified: 2013-04-30 19:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 08:09:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Glen Eustace 2011-06-25 18:12:27 EDT
Description of problem:
After upgrading from bind-sdb.i686 32:9.7.4-0.2.b1 to bind-sdb.i386 32:9.8.0-5.P2 on Fedora 14 ( F15 packages recompiled on F14), the slave name servers started returning logging 'refresh: non-authoritative answer from master' for all zones.

The bind-sdb backend is postgresql.

Downgrading back to 9.7.4 but leaving slaves at 9.8 and the messages go away.  Suggests that this is an issue on the master server not slaves.


Version-Release number of selected component (if applicable):
bind-sdb.i386 32:9.8.0-5.P2

How reproducible:
Happens immediately a zone does its SOA query for refresh.


Steps to Reproduce:
1. Upgrade to 9.8
2. Wait for zones to refresh
3.
  
Actual results:
Jun 26 08:47:36 agree-13 named[18687]: zone studentsoul.co.nz/IN/internal: refresh: non-authoritative answer from master 192.138.251.32#53 (source 0.0.0.0#0)
Jun 26 08:47:36 agree-13 named[18687]: zone studentsoul.co.nz/IN/internal: refresh: non-authoritative answer from master 2001:df0:dc::251:32#53 (source ::#0)
Jun 26 08:47:37 agree-13 named[18687]: zone staugs.church.org.nz/IN/external: refresh: non-authoritative answer from master 192.138.251.32#53 (source 0.0.0.0#0)
Jun 26 08:47:37 agree-13 named[18687]: zone staugs.church.org.nz/IN/external: refresh: non-authoritative answer from master 2001:df0:dc::251:32#53 (source ::#0)


Expected results:
No messages.


Additional info:
I have found by googling that some people are seeing similar behavior with mySQL as the backend database.

The static zones on the same master do not produce the message, it is only those coming from the database.

As can be seen from following, first agains 9.7.4 server the 2nd against 9.8. The AA bit not being set by 9.8 for DLZ zone.

[agree-13]root: dig @192.138.251.32 staugs.church.org.nz soa

; <<>> DiG 9.8.0-P2-RedHat-9.8.0-5.P2.fc14 <<>> @192.138.251.32 staugs.church.org.nz soa
; (1 server found)
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 6298
;; flags: qr aa rd ra; QUERY: 1, ANSWER: 1, AUTHORITY: 3, ADDITIONAL: 0

;; QUESTION SECTION:
;staugs.church.org.nz.          IN      SOA

;; ANSWER SECTION:
staugs.church.org.nz.   3600    IN      SOA     ns0.godzone.net.nz. soa.godzone.net.nz. 2009000008 10800 3600 604800 3600

;; AUTHORITY SECTION:
staugs.church.org.nz.   3600    IN      NS      ns1.godzone.net.nz.
staugs.church.org.nz.   3600    IN      NS      ns2.godzone.net.nz.
staugs.church.org.nz.   3600    IN      NS      ns3.godzone.net.nz.

;; Query time: 7 msec
;; SERVER: 192.138.251.32#53(192.138.251.32)
;; WHEN: Sun Jun 26 10:05:01 2011
;; MSG SIZE  rcvd: 148

[agree-13]root: dig @192.138.251.32 staugs.church.org.nz soa

; <<>> DiG 9.8.0-P2-RedHat-9.8.0-5.P2.fc14 <<>> @192.138.251.32 staugs.church.org.nz soa
; (1 server found)
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 11882
;; flags: qr rd ra; QUERY: 1, ANSWER: 1, AUTHORITY: 3, ADDITIONAL: 0

;; QUESTION SECTION:
;staugs.church.org.nz.          IN      SOA

;; ANSWER SECTION:
staugs.church.org.nz.   3600    IN      SOA     ns0.godzone.net.nz. soa.godzone.net.nz. 2009000008 10800 3600 604800 3600

;; AUTHORITY SECTION:
staugs.church.org.nz.   3600    IN      NS      ns2.godzone.net.nz.
staugs.church.org.nz.   3600    IN      NS      ns1.godzone.net.nz.
staugs.church.org.nz.   3600    IN      NS      ns3.godzone.net.nz.

;; Query time: 4 msec
;; SERVER: 192.138.251.32#53(192.138.251.32)
;; WHEN: Sun Jun 26 10:10:35 2011
;; MSG SIZE  rcvd: 148
Comment 1 Fedora End Of Life 2012-08-16 08:09:34 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.